com.icesoft.faces.facelets.component.util

## Class CalendarViewUtil

- java.lang.Object
- - com.icesoft.faces.facelets.component.util.CalendarViewUtil

- All Implemented Interfaces:
    java.io.Serializable

      public class CalendarViewUtil
      extends java.lang.Object
      implements java.io.Serializable

  Utility Bean to centralize the date/locale/timezone code.
  Author:
    ICEfaces Technologies Inc.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL_DAY_HOURS_IN_DAY`
    `static int` | `ALL_DAY_START_HOUR`
    `static int` | `DEFAULT_HOURS_IN_DAY`
    `static int` | `DEFAULT_START_HOUR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarViewUtil()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDAY_FORMATTER()`
    `java.util.Calendar` | `getFRIDAY()`
    `int` | `getHoursInDay()`
    `java.util.Calendar` | `getLocalizedCalendar()`
    `java.lang.String` | `getLocalizedMidnight(java.util.Calendar calendar)`
    `java.lang.String` | `getLocalizedTime(java.util.Calendar calendar)`
    `java.util.Calendar` | `getMONDAY()`
    `java.lang.String` | `getMONTH_FORMATTER()`
    `java.util.Calendar` | `getSATURDAY()`
    `java.util.TimeZone` | `getScheduleTimeZone()`
    `java.lang.String` | `getSHORT_DAY_FORMATTER()`
    `int` | `getStartHour()`
    `java.util.Calendar` | `getSUNDAY()`
    `java.util.Calendar` | `getTHURSDAY()`
    `java.util.Calendar` | `getTUESDAY()`
    `java.util.Calendar` | `getWEDNESDAY()`
    `java.lang.String` | `getWEEK_DAY_FORMATTER()`
    `void` | `setHoursInDay(int hoursInDay)`
    `void` | `setStartHour(int startHour)`
    `void` | `setTimeZoneId(java.lang.String timeZoneId)` This method is called from faces-config if the timeZoneId managed-property is present.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_START_HOUR

          public static final int DEFAULT_START_HOUR

      See Also:
        Constant Field Values

    - #### DEFAULT_HOURS_IN_DAY

          public static final int DEFAULT_HOURS_IN_DAY

      See Also:
        Constant Field Values

    - #### ALL_DAY_START_HOUR

          public static final int ALL_DAY_START_HOUR

      See Also:
        Constant Field Values

    - #### ALL_DAY_HOURS_IN_DAY

          public static final int ALL_DAY_HOURS_IN_DAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CalendarViewUtil

          public CalendarViewUtil()

  - ### Method Detail

    - #### setTimeZoneId

          public void setTimeZoneId(java.lang.String timeZoneId)

      This method is called from faces-config if the timeZoneId managed-property is present.

      It will override the server TimeZone which is the default.
      Parameters:
        `timeZoneId` - of the current session, passed in through faces-config

    - #### getLocalizedCalendar

          public java.util.Calendar getLocalizedCalendar()

    - #### getLocalizedTime

          public java.lang.String getLocalizedTime(java.util.Calendar calendar)

    - #### getLocalizedMidnight

          public java.lang.String getLocalizedMidnight(java.util.Calendar calendar)

    - #### getScheduleTimeZone

          public java.util.TimeZone getScheduleTimeZone()

    - #### getStartHour

          public int getStartHour()

    - #### setStartHour

          public void setStartHour(int startHour)

    - #### getHoursInDay

          public int getHoursInDay()

    - #### setHoursInDay

          public void setHoursInDay(int hoursInDay)

    - #### getMONTH_FORMATTER

          public java.lang.String getMONTH_FORMATTER()

    - #### getDAY_FORMATTER

          public java.lang.String getDAY_FORMATTER()

    - #### getSHORT_DAY_FORMATTER

          public java.lang.String getSHORT_DAY_FORMATTER()

    - #### getWEEK_DAY_FORMATTER

          public java.lang.String getWEEK_DAY_FORMATTER()

    - #### getSUNDAY

          public java.util.Calendar getSUNDAY()

    - #### getMONDAY

          public java.util.Calendar getMONDAY()

    - #### getTUESDAY

          public java.util.Calendar getTUESDAY()

    - #### getWEDNESDAY

          public java.util.Calendar getWEDNESDAY()

    - #### getTHURSDAY

          public java.util.Calendar getTHURSDAY()

    - #### getFRIDAY

          public java.util.Calendar getFRIDAY()

    - #### getSATURDAY

          public java.util.Calendar getSATURDAY()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.